import kQuery from '../src'

describe('index.js', () => {
  describe('kQuery', () => {
    beforeEach(() => {
      document.body.innerHTML =`
        <div class="item">Hello</div>
        <div class="item">World!</div>
      `
    })
    it('when instanciating kQuery with ".item" selector, should return a collection of 2 nodes', () => {
      const collection = kQuery('.item')
      expect(collection.get()).toHaveLength(2)
    })
    it('when instanciating kQuery without selector, should return an empty collection', () => {
      const collection = kQuery()
      expect(collection.get()).toHaveLength(0)
    })
    it('when instanciating kQuery with selector with no match, should return an empty collection', () => {
      const collection = kQuery('.nothing')
      expect(collection.get()).toHaveLength(0)
    })
    it('when instanciating kQuery with incorrect selector, should throw an error', () => {
      expect(() => kQuery('1234')).toThrow()
    })
    
  })
})
