import kCollection from '../../src/kCollection'

describe('kCollection/find.js', () => {
  describe('find', () => {
    beforeEach(() => {
      document.body.innerHTML =`
        <div class="item">Hello<span>World!</span></div>
        <div class="item">World!<span>Hello</span></div>
      `
    })
    it('when calling find() on empty collection, should return an empty collection', () => {
      const collection = kCollection().find('span')
      expect(collection.get()).toHaveLength(0)
    })
    it('when calling find() with matching selector on a collection, should return a collection with matching nodes', () => {
      const nodesList = document.querySelectorAll('.item')
      const collection = kCollection(nodesList).find('span')
      const nodesHtml = collection.get().map(el => el.outerHTML)
      expect(nodesHtml).toEqual(['<span>World!</span>', '<span>Hello</span>'])
    })
    it('when calling find() with unmatching selector on a collection, should return an empty collection', () => {
      const nodesList = document.querySelectorAll('.item')
      const collection = kCollection(nodesList).find('p')
      expect(collection.get()).toHaveLength(0)
    })
  })
})
