import kCollection from '../../src/kCollection'

describe('kCollection/get.js', () => {
  describe('get', () => {
    beforeEach(() => {
      document.body.innerHTML =`
        <div class="item">Hello</div>
        <div class="item">World!</div>
      `
    })
    it('when calling get() on empty collection, should return an empty array', () => {
      const nodes = kCollection().get()
      expect(nodes).toEqual([])
    })
    it('when calling get() on a collection, should return a array of nodes', () => {
      const nodesList = document.querySelectorAll('.item')
      const nodes = kCollection(nodesList).get()
      const nodesHtml = nodes.map(el => el.outerHTML)
      expect(nodesHtml).toEqual(['<div class="item">Hello</div>', '<div class="item">World!</div>'])
    })
  })
})
