import kCollection from '../../src/kCollection'

describe('kCollection/remove.js', () => {
  describe('remove', () => {
    beforeEach(() => {
      document.body.innerHTML = `
        <div class="item">Hello<span>World!</span></div>
        <div class="item">World!<span>Hello</span></div>`
    })
    it('when calling remove() on empty collection, should return an empty collection', () => {
      const collection = kCollection().remove()
      expect(collection.get()).toHaveLength(0)
    })
    it('when calling remove() on a collection, should return an empty collection', () => {
      const nodesList = document.querySelectorAll('span')
      const collection = kCollection(nodesList).remove()
      expect(collection.get()).toHaveLength(0)
    })
    it('when calling remove() on a collection, should remove nodes from DOM', () => {
      const nodesList = document.querySelectorAll('span')
      kCollection(nodesList).remove()
      expect(document.body.innerHTML).toBe(`
        <div class="item">Hello</div>
        <div class="item">World!</div>`
      )
    })
  })
})
