import kCollection from '../../src/kCollection'

describe('kCollection/style.js', () => {
  describe('style', () => {
    beforeEach(() => {
      document.body.innerHTML =`
        <div class="item">Hello<span>World!</span></div>
        <div class="item">World!<span>Hello</span></div>`
    })
    it('when calling style() on empty collection, should return an empty collection', () => {
      const collection = kCollection().remove()
      expect(collection.get()).toHaveLength(0)
    })
    it('when calling style() on a collection, should return the same collection', () => {
      const nodesList = document.querySelectorAll('span')
      const collection = kCollection(nodesList)
      const styledCollection = collection.style({ color: 'red', 'font-weight': 'bold'})
      expect(collection).toBe(styledCollection)
    })
    it('when calling style() on a collection, should update nodes style', () => {
      const nodesList = document.querySelectorAll('span')
      kCollection(nodesList).style({color: 'red', 'font-weight': 'bold'})
      expect(document.body.innerHTML).toBe(`
        <div class="item">Hello<span style="color: red; font-weight: bold;">World!</span></div>
        <div class="item">World!<span style="color: red; font-weight: bold;">Hello</span></div>`
      )
    })
  })
})
