import { arrify } from '../src/utils'

describe('utils.js', () => {
  describe('arrify', () => {
    beforeEach(() => {
      document.body.innerHTML =`
        <div class="item">Hello</div>
        <div class="item">World!</div>
      `
    })
    it('when passing a nodesList as argument, should return a array of the same length', () => {
      const nodesList = document.querySelectorAll('.item')
      const nodesArray = arrify(nodesList)
      expect(nodesArray).toHaveLength(nodesList.length)
    })
    
    it('when missing/nil nodesList as argument, should return an empty array', () => {
      const nodesArray = arrify()
      expect(nodesArray).toEqual([])
    })
  })
})
