var path = require('path')
var HtmlWebpackPlugin = require('html-webpack-plugin')
var HTMLWebpackPluginConfig = new HtmlWebpackPlugin({
  template: path.resolve() + '/public/index.html',
  filename: 'index.html',
  inject: 'body'
})


module.exports = [
  'source-map'
].map(devtool => ({
  mode: 'development',
  entry: './public/index.js',
  output: {
    path: path.resolve('dist'),
    filename: '[name].js'
  },
  module: {
    rules: [
      {
        test: /\.m?js$/,
        exclude: /(node_modules|bower_components)/,
        use: {
          loader: 'babel-loader'
        }
      }
    ]
  },
  devtool,
  plugins: [HTMLWebpackPluginConfig]
}));
